Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area
Class AreaTreeParser

    java.lang.Object
      org.apache.fop.area.AreaTreeParser

    public class AreaTreeParser

extends java.lang.Object

This is a parser for the area tree XML (intermediate format) which is used to reread an area tree (or part of it) into memory again for rendering to the final output format.

Field Summary
`protected static org.apache.commons.logging.Log` | `log` Logger instance

Constructor Summary
`AreaTreeParser()`

Method Summary
`org.xml.sax.ContentHandler` | `getContentHandler(AreaTreeModel treeModel, FOUserAgent userAgent)` Creates a new ContentHandler instance that you can send the area tree XML to.
`void` | `parse(javax.xml.transform.Source src, AreaTreeModel treeModel, FOUserAgent userAgent)` Parses an intermediate file (area tree XML) into an AreaTreeModel instance by adding pages to it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

  Logger instance

Constructor Detail

### AreaTreeParser

    public AreaTreeParser()

Method Detail

### parse

    public void parse(javax.xml.transform.Source src,
                      AreaTreeModel treeModel,
                      FOUserAgent userAgent)
               throws javax.xml.transform.TransformerException

  Parses an intermediate file (area tree XML) into an AreaTreeModel instance by adding pages to it.

  Parameters:
    `src` - the Source instance pointing to the intermediate file
    `treeModel` - the AreaTreeModel that the parsed pages are added to
    `userAgent` - the user agent
  Throws:
    `javax.xml.transform.TransformerException` - if an error occurs while parsing the area tree XML

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler(AreaTreeModel treeModel,
                                                        FOUserAgent userAgent)

  Creates a new ContentHandler instance that you can send the area tree XML to. The parsed pages are added to the AreaTreeModel instance you pass in as a parameter.

  Parameters:
    `treeModel` - the AreaTreeModel that the parsed pages are added to
    `userAgent` - the user agent
  Returns:
    the ContentHandler instance to receive the SAX stream from the area tree XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.